Bug 120786 - [usb] [panic] Kernel panic when forced umount of a dettached USB Harddisk
Summary: [usb] [panic] Kernel panic when forced umount of a dettached USB Harddisk
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-usb mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-18 09:40 UTC by schmidt
Modified: 2017-12-31 22:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schmidt 2008-02-18 09:40:00 UTC
I have an USB Harddisk mounted. It gets detached without propper umount.

umount the filesystem fails due to a readerror (expected) 

when i try a umount -f freebsd panics.

The same error in FreeBSD 7

Fix: 

n/k
How-To-Repeat: mount an USB Harddisk 
diskconnect the Harddisk without umount 
umount -f the filesystem -> Crash
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2008-02-18 14:30:37 UTC
State Changed
From-To: open->closed

Close, duplicate of usb/46176 


Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2008-02-18 14:30:37 UTC
Responsible Changed
From-To: freebsd-bugs->gavin

Close, duplicate of usb/46176
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-02-18 21:49:41 UTC
State Changed
From-To: closed->open

bde@ claims this is a different subcase. 


Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-02-18 21:49:41 UTC
Responsible Changed
From-To: gavin->freebsd-usb
Comment 5 schmidt 2008-02-19 14:59:41 UTC
Another filesystem doesn't prevent the crash.

ISO9660 panics on the normal umount.
UFS freezes after umount (not forces)

Testsystem:
FreeBSD wanderer.augusta.de 7.0-PRERELEASE FreeBSD 7.0-PRERELEASE #1:
Tue Feb 19 14:51:56 CET 2008
root@wanderer.augusta.de:/usr/src/sys/i386/compile/WANDERER  i386

CVSuped on saturday.

Regard
  Gerhard Schmidt

-- 
-------------------------------------------------
Gerhard Schmidt       | E-Mail: schmidt@ze.tum.de
TU-München	      |
WWW & Online Services |
Tel: 089/289-25270    |
Fax: 089/289-25257    | PGP-Publickey auf Anfrage

Comment 6 Alexander Best freebsd_committer 2010-11-13 14:21:02 UTC
State Changed
From-To: open->feedback

Can you reproduce this issue under 8.X or HEAD?
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:37 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped